#Module-Specific definitions
%define mod_name mod_auth_kerb
%define mod_conf 11_%{mod_name}.conf
%define mod_so %{mod_name}.so

Summary:	Apache module to provides authentifation against a Kerberos server
Name:		apache-%{mod_name}
Version:	5.0
Release:	%mkrel 3
Group:		System/Servers
License:	BSD-like
URL:		http://modauthkerb.sourceforge.net/
Source0:	http://prdownloads.sourceforge.net/modauthkerb/%{mod_name}-%{version}rc7.tar.bz2
Source1:	%{mod_conf}.bz2
Patch1:		mod_auth_kerb-5.0-gcc4.patch
Patch2:		mod_auth_kerb-5.0rc7-exports.diff
Requires:	krb5-libs
BuildPrereq:	krb5-devel
BuildRequires:	automake1.7
BuildRequires:	autoconf2.5
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):	apache-conf >= 2.2.0
Requires(pre):	apache >= 2.2.0
Requires:	apache-conf >= 2.2.0
Requires:	apache >= 2.2.0
BuildRequires:	apache-devel >= 2.2.0
BuildRequires:	file
Provides:	apache2-mod_auth_kerb
Obsoletes:	apache2-mod_auth_kerb
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Mod_auth_kerb is an apache module designed to provide Kerberos
user authentication to the Apache web server. Using the Basic
Auth mechanism, it retrieves a username/password pair from the
browser and checks them against a Kerberos server as set up by
your particular organization. It also supports mutual ticket
authentication, but most browsers do not support that natively.

I might look into writing a netscape plugin for it at some point.
Some browsers also require being told that they are to use Basic
Auth as opposed to seeing KerberosV* and handling that as basic
auth. The module accounts for this and 'tricks' the browser into
thinking it's normal basic auth. 

If you are using the Basic Auth mechanmism, the module does not
do any special encryption of any sort. The passing of the
username and password is done with the same Base64 encoding that
Basic Auth uses. This can easily be converted to plain text. To
counter this, I would suggest also using mod_ssl. 

%prep

%setup -q -n %{mod_name}-%{version}rc7
%patch1 -p1 -b .gcc4
%patch2 -p0 -b .exports

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
#export WANT_AUTOCONF_2_5=1
#libtoolize --copy --force; aclocal-1.7; autoconf

export APXS=%{_sbindir}/apxs

%configure2_5x \
    --with-krb5=%{_prefix} \
    --without-krb4

# this auto* magic is whacked!
#perl -pi -e "s|^KRB5_LDFLAGS.*|KRB5_LDFLAGS=-lgssapi_krb5 -lkrb5 -lk5crypto -lcom_err -lresolv|g" Makefile
#perl -pi -e "s|^KRB4_LDFLAGS.*|KRB4_LDFLAGS=-lkrb4 -ldes425 -lkrb5 -lk5crypto -lcom_err -lresolv|g" Makefile

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

rm -rf .libs; cp -rp src/.libs .

install -d %{buildroot}%{_libdir}/apache-extramodules
install -d %{buildroot}%{_sysconfdir}/httpd/modules.d

install -m0755 .libs/*.so %{buildroot}%{_libdir}/apache-extramodules/
bzcat %{SOURCE1} > %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_conf}

install -d %{buildroot}%{_var}/www/html/addon-modules
ln -s ../../../..%{_docdir}/%{name}-%{version} %{buildroot}%{_var}/www/html/addon-modules/%{name}-%{version}

%post
if [ -f %{_var}/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart 1>&2;
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f %{_var}/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart 1>&2
    fi
fi

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc INSTALL LICENSE README
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_so}
%{_var}/www/html/addon-modules/*

%changelog
* Sun Jul 02 2006 Oden Eriksson <oeriksson@mandriva.com> 5.0-3mdv2007.0
- 5.0rc7
- drop upstream patches; P0,P3
- fix P2

* Wed Dec 14 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0-2mdk
- rebuilt against apache-2.2.0
- synced with fedora

* Mon Nov 28 2005 Oden Eriksson <oeriksson@mandriva.com> 5.0-1mdk
- fix versioning
- fix dl url

* Sat Jul 30 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0-3mdk
- fix deps

* Fri Jun 17 2005 Andreas Hasenack <andreas@mandriva.com> 2.0.54_5.0-2mdk
- rebuilt with krb5-1.4.x without krb4 support

* Thu Jun 02 2005 Oden Eriksson <oeriksson@mandriva.com> 2.0.54_5.0-1mdk
- rename the package
- the conf.d directory is renamed to modules.d
- use new rpm-4.4.x pre,post magic
- sync patches with fedora

* Sun Mar 20 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0-5mdk
- use the %%mkrel 1

* Mon Feb 28 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0-4mdk
- fix %%post and %%postun to prevent double restarts

* Fri Feb 25 2005 Stefan van der Eijk <stefan@eijk.nu> 2.0.53_5.0-3mdk
- fix bug #6574

* Wed Feb 16 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0-2mdk
- spec file cleanups, remove the ADVX-build stuff

* Tue Feb  8 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.53_5.0-1mdk
- rebuilt for apache 2.0.53

* Sat Nov 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_5.0-2mdk
- fix deps

* Tue Sep 28 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.52_5.0-1mdk
- built for apache 2.0.52

* Thu Sep 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.51_5.0-1mdk
- built for apache 2.0.51

* Mon Aug 30 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0-0.2mdk
- 5.0-rc6

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.50_5.0-0.1mdk
- built for apache 2.0.50
- remove redundant provides

* Mon Jun 14 2004 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.49_5.0-0.1mdk
- 5.0 rc5
- built for apache 2.0.49

* Mon Mar 29 2004 Michael Scherer <misc@mandrake.org> 2.0.48_5.0-0.2mdk 
- Enhance Summary

* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_5.0-0.1mdk
- built for apache 2.0.48

* Tue Sep 16 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_5.0-0.2mdk
- fix S1

* Sun Aug 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_5.0-0.1mdk
- 5.0 rc1
- updated S1

* Thu Jul 10 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_4.13-1mdk
- rebuilt against latest apache2, requires and buildrequires

* Sat May 31 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.46_4.13-1mdk
- rebuilt for apache v2.0.46
- buildprereq ADVX-build >= 9.2

* Tue Apr 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.45_4.13-1mdk
- cosmetic rebuild for apache v2.0.45 

* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_4.13-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-5mdk
- fix buildrequires apache-devel >= 2.0.53-1mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-4mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-3mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Mon Nov 25 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-2mdk
- fix summary (duh!)

* Fri Nov 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.13-1mdk
- new version
- drop the register patch, it's included upstream

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.11-3mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Tue Oct 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.11-2mdk
- extra modules needs to be loaded _before_ mod_ssl, mod_php and mod_perl
  in order to show up in the server string...

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_4.11-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)
- sanitize rpm package versioning

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_4.11-4mdk
- rebuilt against new apache v2.0.42

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_4.11-3mdk
- Comply with ADVX policy at http://advx.org/devel/policy.php
- Add P0 to register module

* Sun Sep  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.11-2mdk
- fix S1

* Sat Aug 31 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 4.11-1mdk
- initial cooker contrib
